<!DOCTYPE html>
<html>
<head>
  <title>Modall</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
body {font-family: Arial, Helvetica, sans-serif;}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  position: relative;
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 50%;
  border-radius: 5px;
  -webkit-animation-name: animatetop;
  -webkit-animation-duration: 1s;
  animation-name: animatetop;
  animation-duration: 1s
}

.modal-content-fadeOut {
  position: relative;
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 50%;
  border-radius: 5px;
  -webkit-animation-name: fadeOut;
  -webkit-animation-duration: 1s;
  animation-name: fadeOut;
  animation-duration: 1s
}



@-webkit-keyframes animatetop {
  from {opacity:0} 
  to {opacity:1}
}

@keyframes animatetop {
  from {opacity:0}
  to {opacity:1}
}

@keyframes fadeOut {
  from {opacity:1}
  to {opacity:0}
}

@-webkit-keyframes fadeOut {
  from {opacity:1}
  to {opacity:0}
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.head{
  text-align: center;
  filter: blur(2px);
}
</style>
</head>
<body>

<h2>Modal Example</h2>

<!-- Trigger/Open The Modal -->
<button id="myBtn">Open Modal</button>

<!-- The Modal -->
<div id="myModal" class="modal">

  <!-- Modal content -->
  <div class="modal-content">
    <span class="close">&times;</span>
    <h1 class="head">Lodind</h1>
  </div>

</div>

<div id="blured">
  this is to be blured content. <br>
  Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aliquam veritatis quaerat, itaque inventore, aut asperiores expedita sunt recusandae explicabo modi repellat quos nobis ullam odit. Consequuntur provident itaque, excepturi nesciunt non ad vitae expedita voluptatum, minus, aut dolor repellat ducimus eum sed fugiat ullam corporis, cumque laboriosam dolore sapiente voluptates veniam at hic maxime? Sequi, voluptatem suscipit amet adipisci repudiandae aut a veritatis voluptate accusantium reiciendis eum in rerum eos ipsam officiis itaque ab eius? Error nisi, excepturi! Deserunt sit reiciendis minima enim, consectetur voluptates voluptatum officiis possimus ipsum, dignissimos iure necessitatibus quidem vel? Dicta facere nobis necessitatibus voluptatum vel.
</div>

<script type="text/javascript" src="js/jQuery.js"></script>

<script>
// Get the modal
var modal = document.getElementById('myModal');

// Get the button that opens the modal
var btn = document.getElementById("myBtn");

var modalContent = document.getElementsByClassName("modal-content")[0];

// Get the <span> element that closes the modal
var span = document.getElementsByClassName("close")[0];

var blur = document.getElementById("blured"); 

var head = document.getElementsByClassName("head")[0];
// When the user clicks the button, open the modal 
btn.onclick = function() {
  modal.style.display = "block";
  blur.style.filter = "blur(1px)";
  head.style.filter = "unset";
}

// When the user clicks on <span> (x), close the modal
span.onclick = function() {
  //modal.style.display = "none";
  blur.style.filter = "unset";

  modalContent.classList.add('modal-content-fadeOut');
  modalContent.classList.remove('modal-content');
  setTimeout(() => modal.style.display = "none", 300);
}

// When the user clicks anywhere outside of the modal, close it
window.onclick = function(event) {
  if (event.target == modal) {
    //modal.style.display = "none";
    blur.style.filter = "unset";

  modalContent.classList.add('modal-content-fadeOut');
  modalContent.classList.remove('modal-content');
  setTimeout(() => modal.style.display = "none", 300);   
  }
}
</script>

<script type="text/javascript">

</script>

<script>
        $(document).ready(function(){
            $("#chain").click(function(){
            if($("#img").attr('src')!='bulb_on.jpg'){
                $("#img").attr('src', 'bulb_on.jpg');
            }
            else
            {
                $("#img").attr('src', 'bulb_onn.jpg');
            }
            });
        });
    </script>

</body>
</html>
